package org.diagbot.nlp.relation.util;

import org.apache.commons.collections.ArrayStack;
import org.diagbot.nlp.relation.module.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName org.diagbot.nlp.relation.extract.output.OutputInfo
 * @Description TODO
 * @Author fyeman
 * @Date 2019/1/22/022 11:05
 * @Version 1.0
 **/
public class OutputInfo {
    List<Symptom> symptoms = new ArrayList<>();
    List<Vital> vitals = new ArrayList<>();
    List<Lis> lises = new ArrayList<>();
    List<Pacs> pacses = new ArrayList<>();
    List<Treat> treats = new ArrayList<>();
    List<Past> pasts = new ArrayList<>();

    public List<Symptom> getSymptoms() {
        return symptoms;
    }

    public void setSymptoms(List<Symptom> symptoms) {
        this.symptoms = symptoms;
    }

    public List<Vital> getVitals() {
        return vitals;
    }

    public void setVitals(List<Vital> vitals) {
        this.vitals = vitals;
    }

    public List<Lis> getLises() {
        return lises;
    }

    public void setLises(List<Lis> lises) {
        this.lises = lises;
    }

    public List<Pacs> getPacses() {
        return pacses;
    }

    public void setPacses(List<Pacs> pacses) {
        this.pacses = pacses;
    }

    public List<Treat> getTreats() {
        return treats;
    }

    public void setTreats(List<Treat> treats) {
        this.treats = treats;
    }

    public List<Past> getPasts() { return pasts; }

    public void setPasts(List<Past> pasts) { this.pasts = pasts; }
}
